## tidy-html5 5.2.0

=== CMakeLists.txt ===
# CMakeLists.txt - 20150402 - 20150130 - 20140801 - for github htacg/tidy-html5
# Prepare for changing the name to 'tidy'
cmake_minimum_required (VERSION 2.8.7)

set(LIB_NAME tidy)

project (${LIB_NAME})

# ### NOTE: *** Adjust version.txt when required ***
# read 'version' file into a variable (stripping any newlines or spaces)
# 20150609: Revert to supplying BOTH version and date, as we had back in Jan 2015
# NOTE: Both version and date MUST be DOT separated, in two lines.
file(READ version.txt versionFile)
if (NOT versionFile)
    message(FATAL_ERROR "Unable to determine libtidy version. version.txt file is missing.")
endif()
string(STRIP "${versionFile}" VERSION_TEXT)
string(REGEX REPLACE "(.*)[\r\n|\n](.*)" "\\1" LIBTIDY_VERSION ${VERSION_TEXT})
string(REGEX REPLACE "(.*)[\r\n|\n](.*)" "\\2" LIBTIDY_DATE ${VERSION_TEXT})
# establish version number
if (LIBTIDY_VERSION)
    string(REPLACE "." ";" VERSION_LIST ${LIBTIDY_VERSION})
    list(GET VERSION_LIST 0 TIDY_MAJOR_VERSION)
    list(GET VERSION_LIST 1 TIDY_MINOR_VERSION)
    list(GET VERSION_LIST 2 TIDY_POINT_VERSION)
else ()
    message(FATAL_ERROR "*** FAILED to get a VERSION from version.txt!")
endif ()    
# establish version date
if (LIBTIDY_DATE)
    string(REPLACE "." ";" DATE_LIST ${LIBTIDY_DATE})
    list(GET DATE_LIST 0 tidy_YEAR)
    list(GET DATE_LIST 1 tidy_MONTH)
    list(GET DATE_LIST 2 tidy_DAY)
else ()
    message(FATAL_ERROR "*** FAILED to get a DATE from version.txt!")
endif ()

# By default, BOTH library types built, Allow turning OFF shared if not needed
set( LIB_TYPE STATIC )  # set default message
option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"    ON  )
option( BUILD_TAB2SPACE  "Set ON to build utility app, tab2space" OFF )
option( BUILD_SAMPLE_CODE "Set ON to build the sample code"       OFF )
if (NOT MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR share/man/man1)
endif ()
# Issue #326 - Allow linkage choice of console app tidy
option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." OFF )
if (TIDY_CONSOLE_SHARED)
    if (NOT BUILD_SHARED_LIB)
        message(FATAL_ERROR "Enable shared build for this tidy linkage!")
    endif ()
endif ()

# Allow building without extra language support
option( SUPPORT_LOCALIZATIONS "Set OFF to build without additional languages." ON )
if (SUPPORT_LOCALIZATIONS)
add_definitions ( -DSUPPORT_LOCALIZATIONS=1 )
else ()
add_definitions ( -DSUPPORT_LOCALIZATIONS=0 )
endif ()

if(CMAKE_COMPILER_IS_GNUCXX)
    set( WARNING_FLAGS -Wall )
endif(CMAKE_COMPILER_IS_GNUCXX)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang") 
   set( WARNING_FLAGS "-Wall -Wno-overloaded-virtual" )
endif() 

if(WIN32 AND MSVC)
    # turn off various warnings
    set(WARNING_FLAGS "${WARNING_FLAGS} /wd4996")
    # C4090: 'function' : different 'const' qualifiers
    # C4244: '=' : conversion from '__int64' to 'uint', possible loss of data
    # C4267: 'function' : conversion from 'size_t' to 'uint', possible loss of data
    # foreach(warning 4244 4251 4267 4275 4290 4786 4305)
    foreach(warning 4090 4244 4267)
        set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
    endforeach()
    set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )
    # if (${MSVC_VERSION} EQUAL 1600)
    #    set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
    # endif (${MSVC_VERSION} EQUAL 1600)
    # set( NOMINMAX 1 )
    # to distinguish between debug and release lib in windows
    set( CMAKE_DEBUG_POSTFIX "d" ) # little effect in unix
else()
    # add any gcc flags
endif()

set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${MSVC_LD_FLAGS}" )

add_definitions ( -DHAVE_CONFIG_H )
add_definitions ( -DSUPPORT_UTF16_ENCODINGS=1 )
add_definitions ( -DSUPPORT_ASIAN_ENCODINGS=1 )
add_definitions ( -DSUPPORT_ACCESSIBILITY_CHECKS=1 )
add_definitions ( -DLIBTIDY_VERSION="${LIBTIDY_VERSION}" )
add_definitions ( -DRELEASE_DATE="${tidy_YEAR}/${tidy_MONTH}/${tidy_DAY}" )
### add_definitions ( -DRC_NUMBER="MinGW" )

# Issue #188 - Support user items in platform.h
if (TIDY_CONFIG_FILE)
    add_definitions( -DTIDY_CONFIG_FILE="${TIDY_CONFIG_FILE}" )
endif ()
if (TIDY_USER_CONFIG_FILE)
    add_definitions( -DTIDY_USER_CONFIG_FILE="${TIDY_USER_CONFIG_FILE}" )
endif ()
if (SUPPORT_GETPWNAM)
    add_definitions( -DSUPPORT_GETPWNAM=1 )
endif ()

if(BUILD_SHARED_LIB)
   set(LIB_TYPE SHARED)
   message(STATUS "*** Also building DLL library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
else()
   message(STATUS "*** Only building static library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
endif()

include_directories ( "${PROJECT_SOURCE_DIR}/include" "${PROJECT_SOURCE_DIR}/src" )

##############################################################################
### tidy library
# file locations
set ( SRCDIR src )
set ( INCDIR include )
# file lists
set ( CFILES
        ${SRCDIR}/access.c       ${SRCDIR}/attrs.c        ${SRCDIR}/istack.c
        ${SRCDIR}/parser.c       ${SRCDIR}/tags.c         ${SRCDIR}/entities.c
        ${SRCDIR}/lexer.c        ${SRCDIR}/pprint.c       ${SRCDIR}/charsets.c ${SRCDIR}/clean.c
        ${SRCDIR}/message.c      ${SRCDIR}/config.c       ${SRCDIR}/alloc.c
        ${SRCDIR}/attrask.c      ${SRCDIR}/attrdict.c     ${SRCDIR}/attrget.c
        ${SRCDIR}/buffio.c       ${SRCDIR}/fileio.c       ${SRCDIR}/streamio.c
        ${SRCDIR}/tagask.c       ${SRCDIR}/tmbstr.c       ${SRCDIR}/utf8.c
        ${SRCDIR}/tidylib.c      ${SRCDIR}/mappedio.c     ${SRCDIR}/gdoc.c
        ${SRCDIR}/language.c  )
set ( HFILES
        ${INCDIR}/tidyplatform.h ${INCDIR}/tidy.h         ${INCDIR}/tidyenum.h
        ${INCDIR}/tidybuffio.h )
set ( LIBHFILES
        ${SRCDIR}/access.h       ${SRCDIR}/attrs.h        ${SRCDIR}/attrdict.h ${SRCDIR}/charsets.h
        ${SRCDIR}/clean.h        ${SRCDIR}/config.h       ${SRCDIR}/entities.h
        ${SRCDIR}/fileio.h       ${SRCDIR}/forward.h      ${SRCDIR}/lexer.h
        ${SRCDIR}/mappedio.h     ${SRCDIR}/message.h      ${SRCDIR}/parser.h
        ${SRCDIR}/pprint.h       ${SRCDIR}/streamio.h     ${SRCDIR}/tags.h
        ${SRCDIR}/tmbstr.h       ${SRCDIR}/utf8.h         ${SRCDIR}/tidy-int.h
        ${SRCDIR}/version.h      ${SRCDIR}/gdoc.h         ${SRCDIR}/language.h
        ${SRCDIR}/language_en.h  ${SRCDIR}/win32tc.h )
if (MSVC)
    list(APPEND CFILES ${SRCDIR}/sprtf.c)
    list(APPEND LIBHFILES ${SRCDIR}/sprtf.h)
endif ()
#######################################

if (NOT LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR lib${LIB_SUFFIX})
endif ()

if (NOT BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR bin)
endif ()

if (NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR include)
endif ()

# Always build the STATIC library
set(name tidy-static)
add_library ( ${name} STATIC ${CFILES} ${HFILES} ${LIBHFILES} )
set_target_properties( ${name} PROPERTIES 
    OUTPUT_NAME ${LIB_NAME}s
    )
if (NOT TIDY_CONSOLE_SHARED) # user wants default static linkage
    list ( APPEND add_LIBS ${name} )
endif ()    
install(TARGETS ${name}
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        )
install( FILES ${HFILES} DESTINATION ${INCLUDE_INSTALL_DIR} )
########################################
# if user option still on
if (BUILD_SHARED_LIB)
    set(name tidy-share)
    add_library ( ${name} SHARED ${CFILES} ${HFILES} ${LIBHFILES} )
    set_target_properties( ${name} PROPERTIES 
                                    OUTPUT_NAME ${LIB_NAME} )
    set_target_properties( ${name} PROPERTIES
                                   VERSION   ${LIBTIDY_VERSION}
                                   SOVERSION ${TIDY_MAJOR_VERSION} )
    set_target_properties( ${name} PROPERTIES 
                                   COMPILE_FLAGS "-DBUILD_SHARED_LIB" )
    set_target_properties( ${name} PROPERTIES 
                                   COMPILE_FLAGS "-DBUILDING_SHARED_LIB" )
    install(TARGETS ${name}
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        )
    if (TIDY_CONSOLE_SHARED)    # user wants shared/dll linkage
        list ( APPEND add_LIBS ${name} )
    endif ()    
endif ()

##########################################################
### main executable - linked with STATIC/SHARED library
set(name ${LIB_NAME})
set ( BINDIR console )
add_executable( ${name} ${BINDIR}/tidy.c )
target_link_libraries( ${name} ${add_LIBS} )
if (MSVC)
    set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
endif ()
if (NOT TIDY_CONSOLE_SHARED)
    set_target_properties( ${name} PROPERTIES 
                                   COMPILE_FLAGS "-DTIDY_STATIC" )
endif ()
install (TARGETS ${name} DESTINATION bin)

if (BUILD_TAB2SPACE)
    set(name tab2space)
    add_executable( ${name} ${BINDIR}/tab2space.c )
    if (MSVC)
        set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
    endif ()
    # no INSTALL of this 'local' tool - use depreciated
endif ()

if (BUILD_SAMPLE_CODE)
    set(name test71)
    set(dir console)
    add_executable( ${name} ${dir}/${name}.cxx )
    if (MSVC)
        set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
    endif ()
    target_link_libraries( ${name} ${add_LIBS} )
    # no INSTALL of this 'local' sample
endif ()

#==========================================================
# Create man pages
#==========================================================
if (UNIX)
    find_program( XSLTPROC_FOUND xsltproc )
    if (XSLTPROC_FOUND)
        ## NOTE: man name must match exe ie currently `${LIB_NAME}.1` not `tidy.1`
        ## also could use `manpath` command output to determine target install path
        set(TIDY_MANFILE ${LIB_NAME}.1)
        message(STATUS "*** Generating man ${TIDY_MANFILE} custom commands...")
        set(TIDY1XSL ${CMAKE_CURRENT_BINARY_DIR}/tidy1.xsl)
        set(TIDYHELP ${CMAKE_CURRENT_BINARY_DIR}/tidy-help.xml)
        set(TIDYCONFIG ${CMAKE_CURRENT_BINARY_DIR}/tidy-config.xml)
        add_custom_target(man ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}")
        configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/man/tidy1.xsl.in
            ${TIDY1XSL}
        )
 
        # run built EXE to generate xml output 
        add_custom_command(
            TARGET man
            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-help > ${TIDYHELP}
            COMMENT "Generate ${TIDYHELP}"
            VERBATIM
        )

        # run built EXE to generate more xml output 
        add_custom_command(
            TARGET man
            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-config > ${TIDYCONFIG}
            COMMENT "Generate ${TIDYCONFIG}"
            VERBATIM
        )

        # run xsltproc to generate the install files..
        add_custom_command(
            TARGET man
            DEPENDS ${TIDYHELP}
            COMMAND xsltproc ARGS ${TIDY1XSL} ${TIDYHELP} > ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE}
            COMMENT "Generate ${TIDY_MANFILE}"
            VERBATIM
        )

        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE} DESTINATION ${MAN_INSTALL_DIR})

    else ()
        message(STATUS "*** NOTE: xsltproc NOT FOUND! Can NOT generate man page.")
        message(STATUS "*** You need to install xsltproc in your system.")
    endif ()
endif ()

##########################################################
### Create MSI,EXE, DMG, DEB/RPM
### TODO: Check each of these builds
##########################################################
set(BITNESS 32)
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(BITNESS 64)
endif()
if (WIN32)
    # MSI - this needs WiX Tooset installed and a path to candle.exe
    # EXE - this needs NSIS tools to be in path

=== debian/changelog ===
tidy-html5 (1:5.2.0-2) unstable; urgency=low

  * Team upload.

  [ Jason Thomas ]
  * Add define for TIDY_CONFIG_FILE & TIDY_USER_CONFIG_FILE (Closes: #830066)
  * Remove debian/tidy.1 and use tidy.1 built from source

  [ Steve Langasek ]
  * Drop dependency on libdmalloc-dev to a Suggests:, not actually used without
    an extra #define. (Closes: #829147)

  [ Daniel James ]
  * Update copyright notice after clarification with upstream
  * Remove obsolete instructions for building tarballs from CVS
  * Improve package descriptions in control file (Closes: #429582,
    Closes: #829182)
  * Copy upstream changelog to standard location (Closes: #355042,
    Closes: #461655)
  * Add machine-readable copyright file crediting University of Toronto
  * Reinstate Jason Thomas as maintainer.

  [ Pino Toscano ]
  * Backport upstream commit 27143cc88e1d7cda7f08bdc4d78ce68dabf7575c to fix
    build on non-Linux architectures; patch
    upstream_Set-HAS_FUTIME-0-on-any-GNU-libc-platform.patch. (Closes: #828632)
  * Backport upstream commit 10281040ca6b3a54db7880eed9c67957d11622eb to avoid
    crashing in tidyCleanAndRepair if document was not loaded; patch
    upstream_Avoid-crash-in-tidyCleanAndRepair-if-document-was-no.patch.

  [ Mattia Rizzolo ]
  * d/rules: wrap long line.
  * d/rules: enable parallel building

 -- Daniel James <daniel@64studio.com>  Thu, 04 Aug 2016 09:55:19 +0000

tidy-html5 (1:5.2.0-1.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Install all headers to /usr/include/tidy/ to unbreak abiword
  * Add libdmalloc-dev dependency for libtidy-dev, needed for dmalloc.h
    include

  [ Ondřej Surý ]
  * Non-maintainer upload
  * Fix the wrong Replaces for shared libraries
  * Add Breaks/Replaces between libtidy-dev and libtidy-0.99-0
    (Closes: #827716)
  * Remove Pre-Depends on pre-wheezy dpkg version
  * Add compatibility headers back (Closes: #827891)
  * Add Vcs-* to collab-maint

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2016 15:36:42 +0200

tidy-html5 (1:5.2.0-1) unstable; urgency=low

  * New upstream release 5.2.0 (Closes: #655200, Closes: #810951)
  * debian/control: changed libtidy-0.99-0 to libtidy5
  * Update for modern packaging standards

 -- Daniel James <daniel@64studio.com>  Thu, 05 May 2016 12:33:07 +0100

tidy (20091223cvs-1.5) unstable; urgency=high

  [ Alessandro Ghedini ]
  * Fix heap buffer overflow and memory saturation on invalid HTML input
    as per CVE-2015-5522 and CVE-2015-5523 (Closes: #792571)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Jul 2015 16:33:00 +0200

tidy (20091223cvs-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 13:26:56 +0200

tidy (20091223cvs-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dep on automake1.9 and autoconf. (Closes:
    #724441)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 21:16:26 -0500

tidy (20091223cvs-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * For some reasons 20091223cvs-1.1 always gets rejected, probably due to
    the special character in Loics name, but the upload get's rejected even
    if I fix the previous changelog entry.  So let's see if creating a new
    one fixes the issue.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 13 Dec 2011 15:19:30 +0100

tidy (20091223cvs-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Loic Minier:
    * New patch, 10format-warnings, fixes FTBFS with -Werror=format-security;
      essentially calls to messageNode() declared printf-alike with a variable
      fmt string, but no subsequent argument; the patch passes "%s" as format
      and fmt as the only argument; this merely protects this class of calls,
      but not the ones with e.g. always one argument or always two arguments.
      Tested by running tidy on some text and HTML files; warnings still seem to
      be output correctly; (Closes: #645300).
    * Use CURDIR instead of CURDUR in rules.
    * rules: only append to LD_LIBRARY_PATH, don't reset it, as fakeroot relies
    on it.
  * Set urgenceny to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sat, 03 Dec 2011 10:57:47 +0100

tidy (20091223cvs-1) unstable; urgency=low

  * New cvs snapshot
  * debian/compat: increased from 4 to 7
  * debian/control:
  - updated standards-version from 3.8.0.0 to 3.8.3.0
  - updated build-depends on debhelper from 4 to 7
  - libtidy-dev, added binary version for dependency on libtidy,
    (>= ${binary:Version})
  - tidy, updated binary version for dependency on libtidy,
    (= ${binary:Version})

 -- Jason Thomas <jason@debian.org>  Wed, 23 Dec 2009 12:19:13 +1100

tidy (20081224cvs-1) unstable; urgency=low

  * New cvs snapshot
  * debian/control: add debhelper ${misc:Depends} to all packages
  - add versioned depend on libtidy-0.99-0 (>= 20081224cvs-1) for tidy
    (closes: #470764)
  - add Homepage field
  - update standards-version from 3.7.3.0 to 3.8.0.0
  * debian/tidy-doc.doc-base: change section from App/Text to Web Development
  * debian/tidy.postinst + tidy.preinst: set the -e flag
  * debian/README.source: new, how to build source tarball from upstream
  * debian/README.Debian: add urls to more documentation
    (closes: #353912)
  * debian/patches/03overview-tab-size.patch: add patch to fix tab-size
    (closes: #353907)
  * tidy doc has been built from same source as tidy for a while
    (closes: #364960)
  * debian/rules:
    - add -xml-config to generated manpage
    - clean up generated files
    (closes: #471107)
  * manpage: -latin0 options has correct info as of 20080116cvs-1
    (closes: #506394 )

 -- Jason Thomas <jason@debian.org>  Wed, 24 Dec 2008 13:25:54 +1100

tidy (20080116cvs-2) unstable; urgency=low

  * debian/control: build depends on xsltproc
    (closes: #461608)
  * debian/tidy.preinst,postinst: add code to move old config file


=== debian/control ===
Source: tidy-html5
Section: web
Priority: optional
Maintainer: Jason Thomas <jason@debian.org>
Build-Depends: debhelper (>= 9), xsltproc, cmake
Standards-Version: 3.9.8
Homepage: http://www.html-tidy.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tidy-html5.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tidy-html5.git

Package: tidy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtidy5 (= ${binary:Version})
Description: HTML/XML syntax checker and reformatter
 Tidy is a console application which corrects and cleans up HTML and XML
 documents by fixing markup errors and upgrading legacy code to modern
 standards. Tidy is a product of the World Wide Web Consortium and the HTML
 Tidy Advocacy Community Group.

Package: libtidy5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTML/XML syntax checker and reformatter - library
 This is a library package, used by programs which have a dependency on
 libtidy5. If you want to run Tidy on the command line, please install the
 'tidy' package. If you want to build a program from source which uses
 libtidy5, please install the 'libtidy-dev' package.

Package: libtidy-dev
Section: libdevel
Architecture: any
Depends: libtidy5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: libdmalloc-dev
Breaks: libtidy-0.99-0
Replaces: libtidy-0.99-0
Description: HTML/XML syntax checker and reformatter - development
 This is a development package, which contains header files and a static
 library. It can be removed if you are not building packages from source which
 rely on libtidy5.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DTIDY_CONSOLE_SHARED:BOOL=YES \
		-DTIDY_COMPAT_HEADERS:BOOL=YES \
		-DTIDY_CONFIG_FILE:STRING=/etc/tidy.conf \
		-DTIDY_USER_CONFIG_FILE:STRING=~/.tidyrc \

=== debian/watch ===
version=3
https://github.com/htacg/tidy-html5/tags /htacg/tidy-html5/archive/(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tidy-html5 5.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # CMakeLists.txt - 20150402 - 20150130 - 20140801 - for github htacg/tidy-html5
 # Prepare for changing the name to 'tidy'
-cmake_minimum_required (VERSION 2.8.7)
-
-set(LIB_NAME tidy)
+cmake_minimum_required (VERSION 2.6.3)
+
+set(LIB_NAME tidy-html5)
 
 project (${LIB_NAME})
 
@@ -38,14 +38,12 @@
 
 # By default, BOTH library types built, Allow turning OFF shared if not needed
 set( LIB_TYPE STATIC )  # set default message
-option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"    ON  )
+option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"    ON )
 option( BUILD_TAB2SPACE  "Set ON to build utility app, tab2space" OFF )
 option( BUILD_SAMPLE_CODE "Set ON to build the sample code"       OFF )
-if (NOT MAN_INSTALL_DIR)
-    set(MAN_INSTALL_DIR share/man/man1)
-endif ()
+
 # Issue #326 - Allow linkage choice of console app tidy
-option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." OFF )
+option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." ON )
 if (TIDY_CONSOLE_SHARED)
     if (NOT BUILD_SHARED_LIB)
         message(FATAL_ERROR "Enable shared build for this tidy linkage!")
@@ -119,13 +117,12 @@
    message(STATUS "*** Only building static library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
 endif()
 
-include_directories ( "${PROJECT_SOURCE_DIR}/include" "${PROJECT_SOURCE_DIR}/src" )
+include_directories ( src )
 
 ##############################################################################
 ### tidy library
 # file locations
 set ( SRCDIR src )
-set ( INCDIR include )
 # file lists
 set ( CFILES
         ${SRCDIR}/access.c       ${SRCDIR}/attrs.c        ${SRCDIR}/istack.c
@@ -138,8 +135,14 @@
         ${SRCDIR}/tidylib.c      ${SRCDIR}/mappedio.c     ${SRCDIR}/gdoc.c
         ${SRCDIR}/language.c  )
 set ( HFILES
-        ${INCDIR}/tidyplatform.h ${INCDIR}/tidy.h         ${INCDIR}/tidyenum.h
-        ${INCDIR}/tidybuffio.h )
+        ${SRCDIR}/tidyplatform.h ${SRCDIR}/tidy.h         ${SRCDIR}/tidyenum.h
+        ${SRCDIR}/tidybuffio.h )
+
+option (TIDY_COMPAT_HEADERS "If set to ON, compatability headers are included" OFF)
+if (TIDY_COMPAT_HEADERS)
+    set ( HFILES ${HFILES}      ${SRCDIR}/buffio.h        ${SRCDIR}/platform.h )
+endif ()
+
 set ( LIBHFILES
         ${SRCDIR}/access.h       ${SRCDIR}/attrs.h        ${SRCDIR}/attrdict.h ${SRCDIR}/charsets.h
         ${SRCDIR}/clean.h        ${SRCDIR}/config.h       ${SRCDIR}/entities.h
@@ -209,7 +212,7 @@
 ##########################################################
 ### main executable - linked with STATIC/SHARED library
 set(name ${LIB_NAME})
-set ( BINDIR console )
+set ( BINDIR src )
 add_executable( ${name} ${BINDIR}/tidy.c )
 target_link_libraries( ${name} ${add_LIBS} )
 if (MSVC)
@@ -232,7 +235,7 @@
 
 if (BUILD_SAMPLE_CODE)
     set(name test71)
-    set(dir console)
+    set(dir src)
     add_executable( ${name} ${dir}/${name}.cxx )
     if (MSVC)
         set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
@@ -241,66 +244,4 @@
     # no INSTALL of this 'local' sample
 endif ()
 
-#==========================================================
-# Create man pages
-#==========================================================
-if (UNIX)
-    find_program( XSLTPROC_FOUND xsltproc )
-    if (XSLTPROC_FOUND)
-        ## NOTE: man name must match exe ie currently `${LIB_NAME}.1` not `tidy.1`
-        ## also could use `manpath` command output to determine target install path
-        set(TIDY_MANFILE ${LIB_NAME}.1)
-        message(STATUS "*** Generating man ${TIDY_MANFILE} custom commands...")
-        set(TIDY1XSL ${CMAKE_CURRENT_BINARY_DIR}/tidy1.xsl)
-        set(TIDYHELP ${CMAKE_CURRENT_BINARY_DIR}/tidy-help.xml)
-        set(TIDYCONFIG ${CMAKE_CURRENT_BINARY_DIR}/tidy-config.xml)
-        add_custom_target(man ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}")
-        configure_file(
-            ${CMAKE_CURRENT_SOURCE_DIR}/man/tidy1.xsl.in
-            ${TIDY1XSL}
-        )
- 
-        # run built EXE to generate xml output 
-        add_custom_command(
-            TARGET man
-            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-help > ${TIDYHELP}
-            COMMENT "Generate ${TIDYHELP}"
-            VERBATIM
-        )
-
-        # run built EXE to generate more xml output 
-        add_custom_command(
-            TARGET man
-            COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME} -xml-config > ${TIDYCONFIG}
-            COMMENT "Generate ${TIDYCONFIG}"
-            VERBATIM
-        )
-
-        # run xsltproc to generate the install files..
-        add_custom_command(
-            TARGET man
-            DEPENDS ${TIDYHELP}
-            COMMAND xsltproc ARGS ${TIDY1XSL} ${TIDYHELP} > ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE}
-            COMMENT "Generate ${TIDY_MANFILE}"
-            VERBATIM
-        )
-
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TIDY_MANFILE} DESTINATION ${MAN_INSTALL_DIR})
-
-    else ()
-        message(STATUS "*** NOTE: xsltproc NOT FOUND! Can NOT generate man page.")
-        message(STATUS "*** You need to install xsltproc in your system.")
-    endif ()
-endif ()
-
-##########################################################
-### Create MSI,EXE, DMG, DEB/RPM
-### TODO: Check each of these builds
-##########################################################
-set(BITNESS 32)
-if(CMAKE_SIZEOF_VOID_P EQUAL 8)
-  set(BITNESS 64)
-endif()
-if (WIN32)
-    # MSI - this needs WiX Tooset installed and a path to candle.exe
-    # EXE - this needs NSIS tools to be in path
+# eof

=== debian/changelog ===
tidy-html5 (5.4.0) unstable; urgency=low

  * Initial Maemo5 release.

 -- Stuart Howarth <showarth@marxoft.co.uk>  Sat, 30 Sep 2017 16:38:32 +0100

=== debian/control ===
Source: tidy-html5
Section: web
Priority: optional
Maintainer: Stuart Howarth <showarth@marxoft.co.uk>
Homepage: http://www.html-tidy.org
Build-Depends: cmake

Package: libtidy-html5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTML syntax checker - library

Package: libtidy-html5-dev
Section: libdevel
Architecture: all
Depends: libtidy-html5
Description: HTML syntax checker - development

Package: tidy-html5
Section: web
Architecture: any
Depends: libtidy-html5
Description: HTML syntax checker

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	cmake -DCMAKE_BUILD_TYPE=Release && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	dh_clean

install: build
	mkdir -p debian/libtidy-html5-dev/usr/include/tidy-html5/
	mkdir -p debian/libtidy-html5/opt/lib/
	mkdir -p debian/tidy-html5/opt/bin/
	mkdir debian/libtidy-html5/DEBIAN/
	mkdir debian/tidy-html5/DEBIAN/
	cp include/*.h debian/libtidy-html5-dev/usr/include/tidy-html5/
	cp libtidy-html5.so.5.4.0 libtidy-html5s.a debian/libtidy-html5/opt/lib/
	cp tidy-html5 debian/tidy-html5/opt/bin/
	cp debian/lib_postinst debian/libtidy-html5/DEBIAN/postinst
	cp debian/lib_postrm debian/libtidy-html5/DEBIAN/postrm
	cp debian/app_postinst debian/tidy-html5/DEBIAN/postinst
	cp debian/app_postrm debian/tidy-html5/DEBIAN/postrm
	chmod a+x debian/libtidy-html5/DEBIAN/postinst
	chmod a+x debian/libtidy-html5/DEBIAN/postrm
	chmod a+x debian/tidy-html5/DEBIAN/postinst
	chmod a+x debian/tidy-html5/DEBIAN/postrm
	dh_testdir
	dh_testroot
	dh_install

# Build architecture-independent files here.
binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_fixperms
	#dh_shlibdeps
	#dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb



binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary configure

## tidy-html5 5.6.0

=== CMakeLists.txt ===
##############################################################################
# @file CMakeLists.txt
# Build executables, static and dylibs, packages, build systems, etc., for
# HTML Tidy.
#
# Read this file or use cmake-gui (Windows) or ccmake (everything else) for
# guided build.
#
# @author  Geoff McLane [ubuntu@geoffair.info]
# @author  HTACG, et al (consult git log)
#
# @copyright
#          Copyright (c) 1998-2017 HTACG
# @copyright
#          See tidy.h for license.
#
# @date    Consult git log.
##############################################################################

cmake_minimum_required (VERSION 2.8.12)

set(LIB_NAME tidy)
set(LIBTIDY_DESCRIPTION "${LIB_NAME} - HTML syntax checker")
set(LIBTIDY_URL "http://www.html-tidy.org")

project (${LIB_NAME})


#################################################
# Setup
#################################################

#------------------------------------------------------------------------
# Release Information
#   Release version and date are found in `version.txt`; update *that*
#   file when required. It will be read into variable `versionFile`
#   (stripping any newlines or spaces). This file must be formatted into
#   two lines: the dot-separated MAJOR.MINOR.POINT version, followed by
#   the date separated YEAR.MONTH.DAY release date.
#------------------------------------------------------------------------
file(READ version.txt versionFile)

if (NOT versionFile)
    message(FATAL_ERROR "Unable to determine libtidy version. version.txt file is missing.")
endif()

string(STRIP "${versionFile}" VERSION_TEXT)
string(REGEX REPLACE "(.*)[\r\n|\n](.*)" "\\1" LIBTIDY_VERSION ${VERSION_TEXT})
string(REGEX REPLACE "(.*)[\r\n|\n](.*)" "\\2" LIBTIDY_DATE ${VERSION_TEXT})

# Establish version number
if (LIBTIDY_VERSION)
    string(REPLACE "." ";" VERSION_LIST ${LIBTIDY_VERSION})
    list(GET VERSION_LIST 0 TIDY_MAJOR_VERSION)
    list(GET VERSION_LIST 1 TIDY_MINOR_VERSION)
    list(GET VERSION_LIST 2 TIDY_POINT_VERSION)
else ()
    message(FATAL_ERROR "*** FAILED to get a VERSION from version.txt!")
endif ()   
 
# Establish version date
if (LIBTIDY_DATE)
    string(REPLACE "." ";" DATE_LIST ${LIBTIDY_DATE})
    list(GET DATE_LIST 0 tidy_YEAR)
    list(GET DATE_LIST 1 tidy_MONTH)
    list(GET DATE_LIST 2 tidy_DAY)
else ()
    message(FATAL_ERROR "*** FAILED to get a DATE from version.txt!")
endif ()


#------------------------------------------------------------------------
# Library Types and Linking
#   By default, *both* static and dynamic library types are built. The
#   shared library can be turned off if not needed. The console program
#   can be configured for static linking or dynamic linking.
#------------------------------------------------------------------------
set( LIB_TYPE STATIC )  # set default message

option( BUILD_SHARED_LIB "Set OFF to NOT build shared library"     ON  )

# Issue #326 - Allow linkage choice of console app tidy
option( TIDY_CONSOLE_SHARED "Set ON to link with shared(DLL) lib." OFF )

if (TIDY_CONSOLE_SHARED)
    if (NOT BUILD_SHARED_LIB)
        message(FATAL_ERROR "Enable shared build for this tidy linkage!")
    endif ()
endif ()


#------------------------------------------------------------------------
# Miscellaneous Options
#------------------------------------------------------------------------
option( BUILD_TAB2SPACE     "Set ON to build utility app, tab2space"  OFF )
option( BUILD_SAMPLE_CODE   "Set ON to build the sample code"         OFF )
option( TIDY_COMPAT_HEADERS "Set ON to include compatibility headers" OFF )


#------------------------------------------------------------------------
# Man Page
#   Allow building with non-default man page directory.
#------------------------------------------------------------------------
if (NOT MAN_INSTALL_DIR)
    set(MAN_INSTALL_DIR share/man/man1)
endif ()


#------------------------------------------------------------------------
# Localization
#   Allow building without extra language support.
#------------------------------------------------------------------------
option( SUPPORT_LOCALIZATIONS "Set OFF to build without additional languages." ON )

if (SUPPORT_LOCALIZATIONS)
    add_definitions ( -DSUPPORT_LOCALIZATIONS=1 )
else ()
    add_definitions ( -DSUPPORT_LOCALIZATIONS=0 )
endif ()


#------------------------------------------------------------------------
# Console Application
#   Allow building without console support, which mostly prevents
#   console strings from existing in the library. Note that this will
#   prevent the console application from being built, since it can't be
#   linked.
#------------------------------------------------------------------------
option( SUPPORT_CONSOLE_APP "Set OFF to build libraries only without console application support." ON )

if (SUPPORT_CONSOLE_APP)
    add_definitions ( -DSUPPORT_CONSOLE_APP=1 )
else ()
    add_definitions ( -DSUPPORT_CONSOLE_APP=0 )
endif ()


#------------------------------------------------------------------------
# Diagnostics
#   Enable building with logs, some memory diagnostics.
#------------------------------------------------------------------------
option( ENABLE_DEBUG_LOG    "Set ON to output debugging messages."          OFF )
option( ENABLE_ALLOC_DEBUG  "Set ON to output node allocation diagnostics." OFF )
option( ENABLE_MEMORY_DEBUG "Set ON to output some memory diagnostics."     OFF )

if ( ENABLE_DEBUG_LOG )
    add_definitions( -DENABLE_DEBUG_LOG )
    message(STATUS "*** Debug Logging is enabled.")  
else ()
    message(STATUS "*** Debug Logging is NOT enabled.")  
endif ()

if (ENABLE_ALLOC_DEBUG)
    add_definitions ( -DDEBUG_ALLOCATION )  # see lexer.c for details
    message(STATUS "*** Note, lexer.c node allocation diagnostics are ON")
endif ()
    
if (ENABLE_MEMORY_DEBUG)
    add_definitions ( -DDEBUG_MEMORY )  # see alloc.c for details
    message(STATUS "*** Note, alloc.c memory diagnostics are ON")
endif ()
    
if (WIN32)
    option( ENABLE_CRTDBG_MEMORY "Set ON to enable the Windows CRT debug library." OFF )
    
    if (ENABLE_CRTDBG_MEMORY)
        add_definitions ( -D_CRTDBG_MAP_ALLOC )  # see tidy.c for details
        message(STATUS "*** Note, tidy.c Windows CRT memory debug is ON")
    endif ()
endif ()


#------------------------------------------------------------------------
# Complier Flags
#   Setup other compiler-specific and platform-specific compiler flags.
#------------------------------------------------------------------------
if(CMAKE_COMPILER_IS_GNUCXX)
    set( WARNING_FLAGS -Wall )
endif(CMAKE_COMPILER_IS_GNUCXX)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang") 
   set( WARNING_FLAGS "-Wall -Wno-overloaded-virtual" )
endif() 

if(WIN32 AND MSVC)
    # C4996: The compiler encountered a deprecated declaration.
    # C4090: 'function' : different 'const' qualifiers
    # C4244: '=' : conversion from '__int64' to 'uint', possible loss of data
    # C4267: 'function' : conversion from 'size_t' to 'uint', possible loss of data
    foreach(warning 4996 4090 4244 4267)
        set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
    endforeach()
    
    set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )

    # to distinguish between debug and release lib in windows
    set( CMAKE_DEBUG_POSTFIX "d" ) # little effect in unix
else()
    # add any gcc flags
endif()

set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_FLAGS} ${MSVC_FLAGS} -D_REENTRANT" )
set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${MSVC_LD_FLAGS}" )


#------------------------------------------------------------------------
# Static Windows Runtime
#   Option to statically link to the Windows runtime. Maybe only 
#   applies to WIN32/MSVC.
#------------------------------------------------------------------------
if (MSVC)
    option( USE_STATIC_RUNTIME "Set ON to change /MD(DLL) to /MT(static)" OFF )
    if (USE_STATIC_RUNTIME)
        set(CompilerFlags
            CMAKE_CXX_FLAGS
            CMAKE_CXX_FLAGS_DEBUG
            CMAKE_CXX_FLAGS_RELEASE
            CMAKE_C_FLAGS
            CMAKE_C_FLAGS_DEBUG
            CMAKE_C_FLAGS_RELEASE
            )
        foreach(CompilerFlag ${CompilerFlags})
            string(REPLACE "/MD" "/MT" ${CompilerFlag} "${${CompilerFlag}}")
        endforeach()    
        message(STATUS "Using /MT STATIC runtime")
    else ()
        message(STATUS "Using /MD DYNAMIC runtime")
    endif ()
endif ()


#------------------------------------------------------------------------
# Macro Values
#   These additional macros are set in Tidy's source code. It is *very*
#   seldom that you would ever have to change any of these in order to
#   achieve a functioning build.
#------------------------------------------------------------------------
add_definitions ( -DLIBTIDY_VERSION="${LIBTIDY_VERSION}" )
add_definitions ( -DRELEASE_DATE="${tidy_YEAR}/${tidy_MONTH}/${tidy_DAY}" )

# Optionally specify an extra version point for pre-release/debug versions.
if (TIDY_RC_NUMBER)
    add_definitions ( -DRC_NUMBER="${TIDY_RC_NUMBER}" )
endif ()

# If your OS doesn't have native ISO2022 support, then build with this flag.
if (NO_NATIVE_ISO2022_SUPPORT)
    add_definitions ( -DNO_NATIVE_ISO2022_SUPPORT=1 )
endif ()

# If your OS doesn't have library function access(), build with this flag.
if (NO_ACCESS_SUPPORT)
    add_definitions ( -DNO_ACCESS_SUPPORT=1 )
endif ()

# Delete me? Not used in Tidy source!
add_definitions ( -DHAVE_CONFIG_H ) 


#------------------------------------------------------------------------
# Runtime Configuration File Support
#   By default on Unix-like systems when building for the console program,
#   support runtime configuration files in /etc/ and in ~/. To prevent this,
#   set ENABLE_CONFIG_FILES to NO. Specify -DTIDY_CONFIG_FILE and/or 
#   -DTIDY_USER_CONFIG_FILE to override the default paths in tidyplatform.h.
# @note: this section refactored to support #584.
#------------------------------------------------------------------------
if ( UNIX AND SUPPORT_CONSOLE_APP )

  option ( ENABLE_CONFIG_FILES "Set to OFF to disable Tidy runtime configuration file support" ON )

    # All Unixes support getpwnam(); undef'd in tidyplatform.h if necessary.
    add_definitions( -DSUPPORT_GETPWNAM=1 )

else ()

  option ( ENABLE_CONFIG_FILES "Set to ON to enable Tidy runtime configuration file support" OFF )
  
  if ( SUPPORT_GETPWNAM )
    add_definitions( -DSUPPORT_GETPWNAM=1 )
  endif ()
  
endif ()

if ( ENABLE_CONFIG_FILES )

    message(STATUS "*** Building support for runtime configuration files.")

    add_definitions( -DTIDY_ENABLE_CONFIG_FILES )
    
    # define a default here so we can pass to XSL.
    if ( NOT TIDY_CONFIG_FILE )
        set( TIDY_CONFIG_FILE "/etc/tidy.conf" )
    endif ()

    # define a default here so we can pass to XSL.
    if ( NOT TIDY_USER_CONFIG_FILE )
        set( TIDY_USER_CONFIG_FILE "~/.tidyrc" )
    endif ()

    # do *not* add these unless ENABLE_CONFIG_FILES!
    add_definitions( -DTIDY_CONFIG_FILE="${TIDY_CONFIG_FILE}" )
    add_definitions( -DTIDY_USER_CONFIG_FILE="${TIDY_USER_CONFIG_FILE}" )

endif ()
  

#------------------------------------------------------------------------
# Shared Library
#   Setup whether or not we will build the shared library.
#------------------------------------------------------------------------
if(BUILD_SHARED_LIB)
   set(LIB_TYPE SHARED)
   message(STATUS "*** Also building DLL library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
else()
   message(STATUS "*** Only building static library ${LIB_TYPE}, version ${LIBTIDY_VERSION}, date ${LIBTIDY_DATE}")
endif()


#################################################
# Build
#################################################

#------------------------------------------------------------------------

=== debian/changelog ===
tidy-html5 (2:5.6.0-6) unstable; urgency=medium

  [ Ondřej Surý ]
  * Fix my email in d/control

  [ Dmitry Shachnev ]
  * Revert upstream commit that causes issues in python-tidylib.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Oct 2018 18:52:51 +0000

tidy-html5 (2:5.6.0-5) unstable; urgency=medium

  * Revert "Downgrade the debhelper compat level to 9"
    + Bump debhelper compat to v11.
  * Fix full library path (Closes: #911915)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Oct 2018 06:38:07 +0000

tidy-html5 (2:5.6.0-4) unstable; urgency=medium

  * Rebuild for all architectures on Debian Buildds.
  * debian/patches: Cherry-pick some important fixes from trunk:
    + Fix unsafe use of output buffer as input param (Upstream issue 655)
    + Fix typo in TidyHideComments description (Upstream issue 684)

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 11:13:45 -0400

tidy-html5 (2:5.6.0-3) unstable; urgency=medium

  * Downgrade the debhelper compat level to 9
  * Change the SONAME bump to 5deb1
  * Add Boyuan Yang to Uploaders
  * [CVE-2017-17497]: Add upstream fix for segmentation fail on NULL node in loop

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Oct 2018 08:32:17 +0000

tidy-html5 (2:5.6.0-1) unstable; urgency=medium

  * Take over the package as the previous maintainer upload is inactive
    and last touched the package in 2016
  * Run wrap-and-sort -a over debian/
  * Improve the wording in the package descriptions
  * Upload a stable tidy-html5 version back to unstable.
  * Bump the epoch to fix the mess created by the 5.7.16 upload to unstable.
  * Add patch to bump SONAME to libtidy.so.6 and rename the shared library
    package to libtidy6 (Closes: #911130)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Oct 2018 07:16:23 +0000

tidy-html5 (1:5.6.0-0.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (NMU) with approval from package maintainer.

  [ Ondřej Surý ]
  * Remove all patches; they have been merged upstream

  [ Boyuan Yang ]
  * New upstream version 5.6.0.
  * Rename libtidy5 to libtidy5.6 due to API breakage, this starts a
    transition.
  * debian:
    + Apply "wrap-and-sort -abst".
    + Bump debhelper compat to v11.
  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use git repo on Salsa Debian group.
  * debian/rules:
    + Modernize rules and enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/patches: Add patch to enable cmake GNUInstallDirs support.
  * debian/install: Drop manually installed upstream changelog and
    lintian override.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Sep 2018 11:25:48 -0400

=== debian/control ===
Source: tidy-html5
Section: web
Priority: optional
Maintainer: Tidy HTML5 <tidy-html5@packages.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Boyuan Yang <byang@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               xsltproc
Standards-Version: 4.2.1
Homepage: http://www.html-tidy.org/
Vcs-Git: https://salsa.debian.org/debian/tidy-html5.git
Vcs-Browser: https://salsa.debian.org/debian/tidy-html5

Package: libtidy-dev
Section: libdevel
Architecture: any
Depends: libtidy5deb1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libdmalloc-dev
Breaks: libtidy-0.99-0
Replaces: libtidy-0.99-0
Description: HTML/XML syntax checker and reformatter - development
 Tidy is corrects and cleans up HTML and XML documents by fixing
 markup errors and upgrading legacy code to modern standards.
 .
 This package contains the libtidy static library, and the headers.

Package: libtidy5deb1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: HTML/XML syntax checker and reformatter - shared library
 Tidy is corrects and cleans up HTML and XML documents by fixing
 markup errors and upgrading legacy code to modern standards.
 .
 This package contains the libtidy shared library.

Package: tidy
Architecture: any
Depends: libtidy5deb1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTML/XML syntax checker and reformatter
 Tidy is corrects and cleans up HTML and XML documents by fixing
 markup errors and upgrading legacy code to modern standards.
 .
 This package contains a command line tool 'tidy'.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DTIDY_CONSOLE_SHARED:BOOL=YES \
		-DTIDY_COMPAT_HEADERS:BOOL=YES \
		-DTIDY_CONFIG_FILE:STRING=/etc/tidy.conf \
		-DTIDY_USER_CONFIG_FILE:STRING=~/.tidyrc \

override_dh_missing:
	dh_missing --fail-missing
